extend("skarlet:batman_comics");
loadTextures({
    "layer1": "skarlet:batman/batman_comics_blue_layer1",
    "layer2": "skarlet:batman/batman_comics_blue_layer2",
    "eyes": "skarlet:batman/batman_comics_blue_eyes",
    "cape": "skarlet:batman/batman_comics_blue_cape",
    "cape2": "skarlet:batman/batman_comics_blue_cape2",
	"blades": "skarlet:batman/batman_comics_blue_blades",
	"ring": "skarlet:batman/kryptonite_ring_blue",
    "grappling_gun": "skarlet:batman/grappling_gun_blue"
});

var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {  
    parent.initEffects(renderer);  
    utils.addLivery(renderer, "GRAPPLING_GUN", "grappling_gun");
}